/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from NSPluginClassIface.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __NSPLUGINCLASSIFACE_STUB__
#define __NSPLUGINCLASSIFACE_STUB__

#include <dcopstub.h>
#include <dcopref.h>
#include <dcopobject.h>
#include <tqcstring.h>
#include <tqstringlist.h>


class NSPluginClassIface_stub : virtual public DCOPStub
{
public:
    NSPluginClassIface_stub( const TQCString& app, const TQCString& id );
    NSPluginClassIface_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit NSPluginClassIface_stub( const DCOPRef& ref );
    virtual DCOPRef newInstance( TQString url, TQString mimeType, TQ_INT8 embed, TQStringList argn, TQStringList argv, TQString appId, TQString callbackId, TQ_INT8 reload, TQ_INT8 doPost, TQByteArray postData, TQ_UINT32 xembed );
    virtual TQString getMIMEDescription();
protected:
    NSPluginClassIface_stub() : DCOPStub( never_use ) {}
};




class NSPluginInstanceIface_stub : virtual public DCOPStub
{
public:
    NSPluginInstanceIface_stub( const TQCString& app, const TQCString& id );
    NSPluginInstanceIface_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit NSPluginInstanceIface_stub( const DCOPRef& ref );
    virtual void shutdown();
    virtual int winId();
    virtual int setWindow( TQ_INT8 remove );
    virtual void resizePlugin( TQ_INT32 w, TQ_INT32 h );
    virtual void javascriptResult( TQ_INT32 id, TQString result );
    virtual void displayPlugin();
    virtual void gotFocusIn();
    virtual void gotFocusOut();
protected:
    NSPluginInstanceIface_stub() : DCOPStub( never_use ) {}
};




class NSPluginViewerIface_stub : virtual public DCOPStub
{
public:
    NSPluginViewerIface_stub( const TQCString& app, const TQCString& id );
    NSPluginViewerIface_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit NSPluginViewerIface_stub( const DCOPRef& ref );
    virtual void shutdown();
    virtual DCOPRef newClass( TQString plugin );
protected:
    NSPluginViewerIface_stub() : DCOPStub( never_use ) {}
};


#endif
